package com.three_petals.fragments;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;

import com.example.three_petals.R;

public class MainTabFragment extends Fragment
{
	public final static String ARG_INDEX = "index";

	@Override
	public View onCreateView(LayoutInflater inflater,
			@Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
		View rootView = inflater.inflate(R.layout.tabs_layout, container, false);
		
		//Bundle args = getArguments();
		//int index = args.getInt(ARG_INDEX);
		
		ListView linLayout = (ListView) rootView.findViewById(R.id.tab_items);
		
		// Fill data
		List<Map<String, String>> data = new LinkedList<Map<String, String>>();

		for (int i = 0; i < 10; i++)
		{
			Map<String, String> item = new HashMap<String, String>();
			item.put("name", "Item " + (i + 1));
			
			data.add(item);
		}
		
		String[] from = {
			"name",
		};
		int[] to = {
			R.id.item_name,
		};
		ListAdapter adapter = new SimpleAdapter(getActivity(), data, R.layout.inflater_picture_box, from, to);
		
		linLayout.setAdapter(adapter);
		
		return rootView;
	}
}
